Bug 163954 - updateDiskless gives confusion error message if busybox-anaconda is missing in client root
Summary: updateDiskless gives confusion error message if busybox-anaconda is missing i...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156320 164011
TreeView+ depends on / blocked
 
Reported: 2005-07-22 12:18 UTC by bastiaan
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-486
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 19:38:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:486 qe-ready SHIPPED_LIVE redhat-config-netboot bug fix update 2005-09-28 04:00:00 UTC

Description bastiaan 2005-07-22 12:18:54 UTC
Description of problem:
If the user has forgotten to install busybox-anaconda on the client root,
it would be nice if updateDiskless would indicate that, instead of simply
complaining it cannot find the file in some obscure location. I suspect I'm not
the only person to fail to notice the relevant instruction in the System
Administration Guide :-)
Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1. Create a root fs for a diskless client following the System
Administration Guide, except do not install busybox-anaconda.
2. In redhat-config-netboot configure the diskless client setup using this root fs
  
Actual results:
redhat-config-netboot complains about busybox-anaconda not being found in some
temporary directory.

Expected results:
redhat-config-netboot should instruct the user to install busybox-anaconda in
the client root.
 
Additional info:

Comment 1 Jason Vas Dias 2005-07-22 20:41:19 UTC
This is now fixed with redhat-config-netboot-0.1.20-1_EL3, which will now 
present an error dialog if any required executable or modules file does not
exist in the client root.

Please download the new version from:
   http://people.redhat.com/~jvdias/redhat-config-netboot/
and let me know of any further issues with it - thank you!



Comment 4 bastiaan 2005-08-01 11:12:00 UTC
The error message is perfectly clear now, thanks!


Comment 5 Red Hat Bugzilla 2005-09-28 19:38:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-486.html



Note You need to log in before you can comment on or make changes to this bug.